Summary: emi.fts.util-c
Name: util-c
Version:
Release:
License: Apache Software License
Vendor: EMI
Group: System Environment/Libraries
BuildRequires: is-interface-devel
BuildRequires: glib2-devel
BuildRequires: gridsite-devel
BuildRequires: lcgutil-build-common-cpp
BuildRequires: glite-build-common-cpp
BuildRequires: libtool
BuildRequires: automake
BuildRequires: autoconf
BuildRequires: openldap-devel
BuildRequires: globus-gsi-sysconfig-devel
BuildRequires: libxml2-devel
Requires: glib2-devel
BuildRoot: %{_builddir}/%{name}-root
AutoReqProv: yes
Source: %{name}-%{version}.tar.gz

%description
gLite Data C util libraries

%prep
 

%setup -c

%build
mkdir -p src/autogen; aclocal -I /usr/share/emi/build/m4 -I /share/build/m4;  libtoolize --force; autoheader; automake --foreign --add-missing --copy; autoconf
./configure --prefix=%{buildroot}/usr --with-version=%{version} --with-interface-version=%{version} --with-dist-location=%{buildroot}/usr --with-glite-location=/usr --with-gridsite-prefix=/usr
make all
  
  

%install
rm -rf %{buildroot}
 mkdir -p %{buildroot}
 mkdir -p %{buildroot}/usr; make install
 find %{buildroot} -name '*.la' -exec rm -rf {} \;
 find %{buildroot} -name '*.pc' -exec sed -i -e "s|%{buildroot}||g" {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/libglite_data_util.so
%{_libdir}/libglite_data_util.a
%{_libdir}/libglite_data_util.so.*
%dir %{_includedir}/glite/
%dir %{_includedir}/glite/data/
%{_includedir}/glite/data/glite-util.h
%dir %{_datadir}/test/
%dir %{_datadir}/test/glite-data-util-c/
%{_datadir}/test/glite-data-util-c/shunit
%{_datadir}/test/glite-data-util-c/shunit2txt.xsl
%dir %{_defaultdocdir}/glite-data-util-c/
%{_defaultdocdir}/glite-data-util-c/RELEASE-NOTES
%{_defaultdocdir}/glite-data-util-c/LICENSE

%changelog
 
